import React from "react";
import Icon from "@ant-design/icons";

const iconStyle = {
    width: '16px',
    height: '16px',
}

const iconStyle24 = {
    width: '24px',
    height: '24px',
}

/* SVG value */

const HomeSvg = () => {
    return (
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <path
                d="M12 2.0996094L1 12L4 12L4 21L9 21L9 14L15 14L15 21L20 21L20 12L23 12L19 8.4003906L19 4L17 4L17 6.5996094L12 2.0996094 z"
                fill="#E6E6E6"/>
        </svg>
    );
}

const ProductSvg = () => {
    return (
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <path
                d="M3 3C2.448 3 2 3.448 2 4L2 7L22 7L22 4C22 3.448 21.552 3 21 3L3 3 z M 3 9L3 19C3 20.105 3.895 21 5 21L19 21C20.105 21 21 20.105 21 19L21 9L3 9 z M 9 11L15 11L15 13L9 13L9 11 z"
                fill="#E6E6E6"/>
        </svg>
    );
}

const AlignLeftSvg = () => {
    return (
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <path
                d="M3 3L3 5L21 5L21 3L3 3 z M 3 7L3 9L16 9L16 7L3 7 z M 3 11L3 13L21 13L21 11L3 11 z M 3 15L3 17L16 17L16 15L3 15 z M 3 19L3 21L21 21L21 19L3 19 z"
                fill="#E6E6E6"/>
        </svg>
    );
}

const AlignRightSvg = () => {
    return (
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <path
                d="M3 3L3 5L21 5L21 3L3 3 z M 8 7L8 9L21 9L21 7L8 7 z M 3 11L3 13L21 13L21 11L3 11 z M 8 15L8 17L21 17L21 15L8 15 z M 3 19L3 21L21 21L21 19L3 19 z"
                fill="#E6E6E6"/>
        </svg>
    );
}

const DoctorSvg = () => {
    return (
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100">
            <path fill="#bb7a54"
                  d="M75.5,47.5c0-1.875-0.861-3.548-2.208-4.648c0.122-0.433,0.208-0.88,0.208-1.352 c0-2.761-2.239-5-5-5s-9,0-9,0s0,17.094,0,19.5c0,2.485,2.015,4.5,4.5,4.5c1.965,0,3.618-1.268,4.232-3.023 C70.607,57.354,72.5,55.406,72.5,53c0-0.1-0.023-0.193-0.029-0.291C74.279,51.675,75.5,49.732,75.5,47.5z"/>
            <path fill="#ead6c7"
                  d="M68,74c-4.325-1.622-7.188-2.659-8.907-3.27c-0.286-0.102-0.54-0.191-0.764-0.27 C57.528,70.178,57,69.425,57,68.576v-3.034c4.442-2.889,8-7.543,8-9.542c0-1,0-4,0-4c2,0,2.381-1.898,3-4c0.57-1.935,1-4,1-5 c0-1.875-3.5-2.5-3.5-2.5l0.125-13c0,0-9.125-2-15.625-2s-15.625,2-15.625,2v13.014C33.621,40.611,31,41.277,31,43 c0,1,0.43,3.065,1,5c0.619,2.102,1,4,3,4c0,0,0,3,0,4c0,1.999,3.558,6.653,8,9.542v3.034c0,0.849-0.528,1.602-1.329,1.884 c-0.224,0.079-0.478,0.169-0.764,0.27C39.188,71.341,36.325,72.378,32,74c-8,3-8,11-8,11h52C76,85,76,77,68,74z"/>
            <path fill="#a2a2cc"
                  d="M68,74.007c-4.325-1.622-7.188-2.659-8.907-3.27c-0.249-0.089-0.464-0.164-0.666-0.236 c-1.249,0.563-3.998,1.505-8.427,1.505c-4.406,0-7.166-0.944-8.423-1.507c-0.203,0.072-0.419,0.148-0.67,0.237 c-1.718,0.611-4.582,1.648-8.907,3.27c-8,3-8,11-8,11h52C76,85.007,76,77.007,68,74.007z"/>
            <path fill="#fefdef"
                  d="M39.5,78.507l-3-2v-4.172c-1.283,0.472-2.769,1.023-4.5,1.672c-8,3-8,11-8,11h19.167l-4.667-3.5 L39.5,78.507z"/>
            <path fill="#fefdef"
                  d="M68,74.007c-1.731-0.649-3.217-1.2-4.5-1.672v4.172l-3,2l1,3l-4.667,3.5H76 C76,85.007,76,77.007,68,74.007z"/>
            <path fill="#fff"
                  d="M46.5,85.01h-3.34l-4.66-3.5l1-3l-3-2v-4.17c1.93-0.71,3.38-1.23,4.41-1.6 c0.16-0.06,0.3-0.11,0.43-0.16L46.5,85.01z"/>
            <path fill="#fff"
                  d="M63.5,76.5l-3,2l1,3l-4.68,3.51h-3.31L53.5,85l5.15-14.42c0.13,0.05,0.28,0.1,0.44,0.16 c1.03,0.37,2.48,0.89,4.41,1.6V76.5z"/>
            <path fill="#fefdef"
                  d="M50,24.5c11.5,0,18,4.5,18,4.5l1.5-10.5c0,0-5.5-9-19.5-9s-19.5,9-19.5,9L32,29 C32,29,38.5,24.5,50,24.5"/>
            <path fill="#c6dff1"
                  d="M43,65.54v0.002C45.473,67.15,47.894,68,50,68s4.527-0.85,7-2.458V65.54 c3.46-2.252,6.377-5.568,7.5-7.871V47.5c0,0-4.5,4-14.5,4s-14.5-4-14.5-4v10.169C36.623,59.972,39.54,63.288,43,65.54z"/>
            <polygon fill="#f05b6c"
                     points="53.5,15.5 51.5,15.5 51.5,13.5 48.5,13.5 48.5,15.5 46.5,15.5 46.5,18.5 48.5,18.5 48.5,20.5 51.5,20.5 51.5,18.5 53.5,18.5"/>
            <path fill="#bb7a54"
                  d="M50,24.5c-11.5,0-18,4.5-18,4.5l-0.012-0.087c-0.301,1.392-0.475,2.84-0.487,4.337 c-0.022,2.761,0.485,5.188,1.442,8.062L35.5,47.5c0,0-1-2.5-1-6V41c0-5.5,3.174-10.473,10-10.5c1.594-0.006,3.418,0.416,5.5,1 c2.082-0.584,3.906-1.006,5.5-1c6.826,0.027,10,5,10,10.5v0.5c0,3.5-1,6-1,6l2.558-6.188c0.957-2.874,1.464-5.301,1.442-8.062 c-0.012-1.497-0.186-2.945-0.487-4.337L68,29C68,29,61.5,24.5,50,24.5"/>
            <g>
                <path fill="#1f212b"
                      d="M43,38.003c-1.915,0-3.834,0.117-5.711,0.426c-0.145,0-0.289,0.143-0.289,0.286 C37,38.857,37.145,39,37.289,39c0,0,7.237,0.429,9.553,1h0.145c0.145,0,0.145,0,0.289-0.143l0.724-1c0-0.143,0-0.214,0-0.357 C48,38.5,46,38.003,43,38.003z"/>
                <path fill="#1f212b"
                      d="M52,38.5c0,0.143,0,0.214,0,0.357l0.724,1C52.868,40,52.868,40,53.013,40h0.145 c2.316-0.571,9.553-1,9.553-1C62.855,39,63,38.857,63,38.714c0-0.143-0.145-0.286-0.289-0.286 c-1.876-0.309-3.795-0.426-5.711-0.426C54,38.003,52,38.5,52,38.5z"/>
                <path fill="#1f212b"
                      d="M43,43c-0.799,0-1.482,0.589-1.803,1.435C41.378,44.178,41.662,44,42,44c0.552,0,1,0.448,1,1 s-0.448,1-1,1c-0.502,0-0.899-0.376-0.971-0.857C41.015,45.26,41,45.378,41,45.5c0,1.381,0.895,2.5,2,2.5s2-1.119,2-2.5 S44.105,43,43,43z"/>
                <path fill="#1f212b"
                      d="M57,43c-0.799,0-1.482,0.589-1.803,1.435C55.378,44.178,55.662,44,56,44c0.552,0,1,0.448,1,1 s-0.448,1-1,1c-0.502,0-0.899-0.376-0.971-0.857C55.015,45.26,55,45.378,55,45.5c0,1.381,0.895,2.5,2,2.5s2-1.119,2-2.5 S58.105,43,57,43z"/>
                <path fill="#1f212b"
                      d="M50,69c-2.301,0-4.909-0.906-7.545-2.62l1.09-1.677C45.855,66.206,48.088,67,50,67 s4.145-0.794,6.455-2.296l1.09,1.677C54.909,68.094,52.301,69,50,69z"/>
                <path fill="#1f212b"
                      d="M64,61c-0.432,0-0.868-0.067-1.372-0.212l0.275-0.961C63.315,59.945,63.664,60,64,60 c1.687,0,3.198-1.081,3.76-2.688c0.066-0.191,0.243-0.324,0.446-0.334C70.333,56.867,72,55.12,72,53 c-0.018-0.152-0.025-0.206-0.028-0.262c-0.012-0.19,0.086-0.37,0.251-0.464C73.936,51.296,75,49.466,75,47.5 c0-1.657-0.738-3.21-2.024-4.261c-0.154-0.126-0.219-0.332-0.165-0.523C72.939,42.258,73,41.872,73,41.5c0-2.481-2.019-4.5-4.5-4.5 h-0.251v-1H68.5c3.032,0,5.5,2.467,5.5,5.5c0,0.375-0.047,0.755-0.146,1.175C75.222,43.909,76,45.649,76,47.5 c0,2.215-1.142,4.282-3,5.473c0,0.009,0,0.018,0,0.027c0,2.542-1.914,4.656-4.415,4.948C67.806,59.787,66.002,61,64,61z"/>
                <path fill="#1f212b"
                      d="M76,86H24c-0.553,0-1-0.448-1-1c0-0.087,0.099-8.73,8.648-11.937 c4.479-1.679,7.327-2.708,8.928-3.276l0.751-0.267c0.333-0.116,0.575-0.39,0.645-0.719C41.991,68.711,42,68.644,42,68.58v-2.506 c-4.242-2.913-8-7.61-8-10.074v-3.131c-1.781-0.508-2.329-2.405-2.82-4.107l-0.139-0.479C30.561,46.658,30,44.299,30,43 c0-0.874,0.464-2.042,2.671-2.65l0.531,1.928C32.483,42.476,32,42.766,32,43c0,0.853,0.403,2.836,0.959,4.717l0.143,0.491 C33.726,50.371,34.051,51,35,51c0.553,0,1,0.448,1,1v4c0,1.491,3.24,5.9,7.546,8.702C43.829,64.886,44,65.202,44,65.54v3.04 c0,0.207-0.023,0.417-0.072,0.642c-0.215,1.005-0.954,1.843-1.929,2.183l-0.753,0.268c-1.594,0.565-4.43,1.59-8.895,3.265 c-5.64,2.115-6.953,6.963-7.259,9.063h49.822c-0.29-2.102-1.575-6.93-7.267-9.063c-4.465-1.675-7.301-2.699-8.893-3.264 l-0.769-0.273c-0.961-0.335-1.682-1.143-1.912-2.157C56.024,69.009,56,68.79,56,68.58v-3.04c0-0.338,0.171-0.654,0.454-0.838 C60.76,61.9,64,57.491,64,56v-4c0-0.552,0.447-1,1-1c0.949,0,1.274-0.629,1.898-2.792l0.143-0.491C67.597,45.836,68,43.853,68,43 c0-0.235-0.485-0.525-1.207-0.724l0.529-1.929C69.535,40.955,70,42.125,70,43c0,1.299-0.561,3.658-1.041,5.283l-0.139,0.479 c-0.491,1.703-1.039,3.6-2.82,4.107V56c0,2.464-3.758,7.161-8,10.074v2.506c0,0.067,0.01,0.146,0.027,0.229 c0.074,0.327,0.312,0.595,0.632,0.707l0.767,0.272c1.599,0.567,4.446,1.596,8.926,3.275C76.901,76.27,77,84.913,77,85 C77,85.552,76.553,86,76,86z"/>
                <path fill="#1f212b"
                      d="M68,29.5c-0.1,0-0.199-0.03-0.284-0.089C67.651,29.367,61.189,25,50,25s-17.651,4.367-17.716,4.411 c-0.143,0.099-0.325,0.116-0.484,0.047s-0.271-0.216-0.295-0.387l-1.5-10.5c-0.017-0.115,0.008-0.232,0.068-0.332 C30.13,18.147,35.883,9,50,9s19.87,9.147,19.927,9.239c0.061,0.099,0.085,0.216,0.068,0.332l-1.5,10.5 c-0.024,0.171-0.136,0.318-0.295,0.387C68.136,29.486,68.068,29.5,68,29.5z M50,24c9.564,0,15.662,3.032,17.613,4.17l1.365-9.553 C68.195,17.479,62.565,10,50,10c-12.594,0-18.199,7.479-18.979,8.617l1.365,9.554C34.338,27.032,40.436,24,50,24z"/>
                <path fill="#1f212b"
                      d="M50,57c-7.716,0-11.692-3.981-11.857-4.151c-0.193-0.197-0.189-0.513,0.008-0.706 c0.196-0.193,0.513-0.189,0.707,0.007C38.895,52.188,42.728,56,50,56s11.105-3.812,11.143-3.85c0.195-0.196,0.51-0.2,0.707-0.007 c0.197,0.193,0.201,0.509,0.008,0.706C61.692,53.019,57.716,57,50,57z"/>
                <path fill="#1f212b"
                      d="M50,62c-7.748,0-11.729-4.98-11.894-5.192c-0.17-0.217-0.132-0.531,0.085-0.701 c0.217-0.17,0.531-0.133,0.702,0.084C38.932,56.24,42.757,61,50,61s11.068-4.76,11.106-4.809c0.17-0.218,0.483-0.255,0.702-0.084 c0.217,0.17,0.255,0.483,0.085,0.701C61.729,57.02,57.748,62,50,62z"/>
                <path fill="#1f212b"
                      d="M51.5,21h-3c-0.276,0-0.5-0.224-0.5-0.5V19h-1.5c-0.276,0-0.5-0.224-0.5-0.5v-3 c0-0.276,0.224-0.5,0.5-0.5H48v-1.5c0-0.276,0.224-0.5,0.5-0.5h3c0.276,0,0.5,0.224,0.5,0.5V15h1.5c0.276,0,0.5,0.224,0.5,0.5v3 c0,0.276-0.224,0.5-0.5,0.5H52v1.5C52,20.776,51.776,21,51.5,21z M49,20h2v-1.5c0-0.276,0.224-0.5,0.5-0.5H53v-2h-1.5 c-0.276,0-0.5-0.224-0.5-0.5V14h-2v1.5c0,0.276-0.224,0.5-0.5,0.5H47v2h1.5c0.276,0,0.5,0.224,0.5,0.5V20z"/>
                <rect width="1" height="4.5" x="64" y="47.5" fill="#1f212b"/>
                <path fill="#1f212b"
                      d="M64.5,48c-0.063,0-0.126-0.012-0.188-0.037c-0.255-0.103-0.379-0.393-0.277-0.648 C64.045,47.291,65,44.852,65,41.5V41c0-4.596-2.488-9.972-9.502-10c-1.573,0.008-3.53,0.468-5.363,0.981 c-0.088,0.024-0.182,0.024-0.27,0c-1.832-0.514-3.715-0.957-5.363-0.981C37.488,31.028,35,36.404,35,41v0.5 c0,3.352,0.955,5.791,0.965,5.815c0.102,0.255-0.022,0.545-0.277,0.648c-0.255,0.104-0.545-0.018-0.649-0.272l-2.558-6.188 c-1.062-3.184-1.501-5.644-1.48-8.257c0.013-1.472,0.181-2.965,0.499-4.439c0.049-0.23,0.253-0.394,0.486-0.395 C33.346,27.559,39.639,24,50,24c10.573,0,16.908,3.705,18.091,4.461c0.199,0.024,0.367,0.144,0.41,0.346 c0.318,1.473,0.486,2.966,0.499,4.438c0.021,2.614-0.419,5.073-1.468,8.225l-2.57,6.221C64.883,47.884,64.696,48,64.5,48z M32.411,29.329c-0.262,1.306-0.4,2.625-0.411,3.926c-0.02,2.53,0.391,4.818,1.417,7.899l0.617,1.493 C34.013,42.279,34,41.896,34,41.5V41c0-5.055,2.749-10.97,10.498-11c0.012,0,0.024,0,0.036,0c1.686,0,3.617,0.466,5.466,0.981 C51.849,30.466,53.78,30,55.466,30c0.012,0,0.024,0,0.036,0C63.251,30.031,66,35.945,66,41v0.5c0,0.395-0.013,0.777-0.034,1.145 l0.63-1.523c1.014-3.048,1.424-5.337,1.404-7.867c-0.011-1.3-0.149-2.619-0.411-3.925C66.632,28.722,60.33,25,50,25 S33.368,28.722,32.411,29.329z"/>
                <rect width="1" height="4.5" x="35" y="47.5" fill="#1f212b"/>
                <path fill="#1f212b"
                      d="M50,73c-5.223,0-8.258-1.276-9.32-1.824c-0.245-0.127-0.342-0.428-0.215-0.674 s0.432-0.339,0.674-0.215C42.136,70.802,44.996,72,50,72c0.517,0,1.003-0.017,1.475-0.041c0.3-0.02,0.51,0.199,0.524,0.474 c0.015,0.276-0.198,0.511-0.474,0.525C51.038,72.983,50.534,73,50,73z"/>
                <path fill="#1f212b"
                      d="M53.499,72.787c-0.248,0-0.463-0.185-0.495-0.438c-0.034-0.274,0.159-0.524,0.434-0.559 c0.669-0.084,1.309-0.194,1.956-0.335c0.275-0.058,0.536,0.113,0.595,0.382c0.059,0.27-0.112,0.536-0.382,0.595 c-0.677,0.147-1.346,0.261-2.044,0.35C53.541,72.785,53.521,72.787,53.499,72.787z"/>
                <path fill="#1f212b"
                      d="M46.5,85.5c-0.205,0-0.397-0.127-0.471-0.332l-5-14c-0.093-0.26,0.043-0.546,0.303-0.639 c0.262-0.093,0.546,0.043,0.639,0.303l5,14c0.093,0.26-0.043,0.546-0.303,0.639C46.612,85.491,46.556,85.5,46.5,85.5z"/>
                <path fill="#1f212b"
                      d="M53.5,85.5c-0.056,0-0.112-0.009-0.168-0.029c-0.26-0.093-0.396-0.379-0.303-0.639l5.151-14.425 c0.093-0.26,0.378-0.396,0.639-0.303c0.26,0.093,0.396,0.379,0.303,0.639l-5.151,14.425C53.897,85.373,53.705,85.5,53.5,85.5z"/>
                <path fill="#1f212b"
                      d="M56.833,85.5c-0.151,0-0.302-0.069-0.4-0.2c-0.165-0.221-0.12-0.534,0.101-0.7l4.379-3.284 l-0.887-2.658c-0.071-0.214,0.01-0.449,0.197-0.574L63,76.232v-3.905c0-0.276,0.224-0.5,0.5-0.5s0.5,0.224,0.5,0.5V76.5 c0,0.167-0.084,0.323-0.223,0.416l-2.683,1.788l0.88,2.638c0.067,0.204-0.003,0.429-0.175,0.558l-4.667,3.5 C57.043,85.467,56.938,85.5,56.833,85.5z"/>
                <path fill="#1f212b"
                      d="M43.162,85.497c-0.104,0-0.21-0.033-0.3-0.1L38.2,81.9c-0.173-0.129-0.242-0.354-0.175-0.558 l0.88-2.638l-2.683-1.788C36.084,76.823,36,76.667,36,76.5v-4.172c0-0.276,0.224-0.5,0.5-0.5s0.5,0.224,0.5,0.5v3.905l2.777,1.852 c0.188,0.125,0.269,0.36,0.197,0.574l-0.887,2.658l4.374,3.281c0.221,0.166,0.266,0.479,0.101,0.7 C43.464,85.428,43.313,85.497,43.162,85.497z"/>
                <path fill="#1f212b"
                      d="M50,52c-10.074,0-14.643-3.958-14.832-4.126l0.663-0.748C35.875,47.165,40.34,51,50,51 c9.697,0,14.124-3.835,14.168-3.874l0.664,0.747C64.643,48.042,60.074,52,50,52z"/>
            </g>
        </svg>
    );
}

const MenuSvg = () => {
    return (
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <path d="M2 5L2 7L22 7L22 5L2 5 z M 2 11L2 13L22 13L22 11L2 11 z M 2 17L2 19L22 19L22 17L2 17 z"
                  fill="#E6E6E6"/>
        </svg>
    );
}

const CloseSvg = () => {
    return (
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <path
                d="M5.7070312 4.2929688L4.2929688 5.7070312L10.585938 12L4.2929688 18.292969L5.7070312 19.707031L12 13.414062L18.292969 19.707031L19.707031 18.292969L13.414062 12L19.707031 5.7070312L18.292969 4.2929688L12 10.585938L5.7070312 4.2929688 z"
                fill="#E6E6E6"/>
        </svg>
    );
}

const SellSvg = () => {
    return (
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <path
                d="M10 2C8.897 2 8 2.897 8 4L8 9C8 10.103 8.897 11 10 11L17 11C18.103 11 19 10.103 19 9L19 4C19 2.897 18.103 2 17 2L10 2 z M 12 4L15 4L15 6L12 6L12 4 z M 20.585938 12C20.223937 12 19.861937 12.138063 19.585938 12.414062L15 17L11 17C10.724 17 10.5 16.776 10.5 16.5C10.5 16.224 10.724 16 11 16L13 16C14.105 16 15 15.105 15 14L15 13L8.65625 13C7.59525 13 6.578125 13.420875 5.828125 14.171875L2 18L6 22L8 20L15.171875 20C15.701875 20 16.210937 19.789062 16.585938 19.414062L21.585938 14.414062C22.137937 13.862062 22.137938 12.966062 21.585938 12.414062C21.309938 12.138063 20.947938 12 20.585938 12 z"
                fill="#E6E6E6"/>
        </svg>
    );
}

const SettingSvg = () => {
    return (
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <path
                d="M11.423828 2C11.179828 2 10.969688 2.1769687 10.929688 2.4179688L10.646484 4.1230469C10.159736 4.2067166 9.689176 4.3360771 9.2363281 4.5039062L8.1347656 3.1679688C7.9797656 2.9789688 7.7100469 2.9297344 7.4980469 3.0527344L6.5019531 3.6289062C6.2899531 3.7509062 6.1972031 4.0083281 6.2832031 4.2363281L6.8886719 5.8535156C6.513238 6.1663963 6.1663963 6.513238 5.8535156 6.8886719L4.2363281 6.2832031C4.0083281 6.1972031 3.7509062 6.2899531 3.6289062 6.5019531L3.0527344 7.4980469C2.9297344 7.7100469 2.9789688 7.9797656 3.1679688 8.1347656L4.5039062 9.2363281C4.3360771 9.689176 4.2067166 10.159736 4.1230469 10.646484L2.4179688 10.929688C2.1769687 10.970688 2 11.178828 2 11.423828L2 12.576172C2 12.820172 2.1769687 13.030312 2.4179688 13.070312L4.1230469 13.353516C4.2067166 13.840264 4.3360771 14.310824 4.5039062 14.763672L3.1679688 15.865234C2.9789687 16.020234 2.9307344 16.289953 3.0527344 16.501953L3.6289062 17.498047C3.7509062 17.710047 4.0083281 17.802797 4.2363281 17.716797L5.8535156 17.111328C6.1663963 17.486762 6.513238 17.833604 6.8886719 18.146484L6.2832031 19.763672C6.1972031 19.992672 6.2909531 20.249094 6.5019531 20.371094L7.4980469 20.947266C7.7100469 21.069266 7.9797656 21.020031 8.1347656 20.832031L9.234375 19.496094C9.6877476 19.664236 10.15912 19.793178 10.646484 19.876953L10.929688 21.582031C10.970688 21.823031 11.178828 22 11.423828 22L12.576172 22C12.820172 22 13.030312 21.823031 13.070312 21.582031L13.353516 19.876953C13.840264 19.793283 14.310824 19.663923 14.763672 19.496094L15.865234 20.832031C16.020234 21.021031 16.289953 21.069266 16.501953 20.947266L17.498047 20.371094C17.710047 20.249094 17.802797 19.991672 17.716797 19.763672L17.111328 18.146484C17.486762 17.833604 17.833604 17.486762 18.146484 17.111328L19.763672 17.716797C19.992672 17.802797 20.249094 17.709047 20.371094 17.498047L20.947266 16.501953C21.069266 16.289953 21.020031 16.020234 20.832031 15.865234L19.496094 14.765625C19.664236 14.312252 19.793178 13.84088 19.876953 13.353516L21.582031 13.070312C21.823031 13.029312 22 12.821172 22 12.576172L22 11.423828C22 11.179828 21.823031 10.969688 21.582031 10.929688L19.876953 10.646484C19.793283 10.159736 19.663923 9.689176 19.496094 9.2363281L20.832031 8.1347656C21.021031 7.9797656 21.069266 7.7100469 20.947266 7.4980469L20.371094 6.5019531C20.249094 6.2899531 19.991672 6.1972031 19.763672 6.2832031L18.146484 6.8886719C17.833604 6.513238 17.486762 6.1663963 17.111328 5.8535156L17.716797 4.2363281C17.802797 4.0073281 17.709047 3.7509062 17.498047 3.6289062L16.501953 3.0527344C16.289953 2.9307344 16.020234 2.9799687 15.865234 3.1679688L14.765625 4.5039062C14.312252 4.3357635 13.84088 4.2068225 13.353516 4.1230469L13.070312 2.4179688C13.029312 2.1769687 12.821172 2 12.576172 2L11.423828 2 z M 11 6.0898438L11 9.1738281 A 3 3 0 0 0 9 12 A 3 3 0 0 0 9.0507812 12.548828L6.3789062 14.089844C6.1382306 13.438833 6 12.736987 6 12C6 9.0161425 8.1553612 6.5637988 11 6.0898438 z M 13 6.0898438C15.844639 6.5637988 18 9.0161425 18 12C18 12.737875 17.86037 13.440133 17.619141 14.091797L14.947266 12.546875 A 3 3 0 0 0 15 12 A 3 3 0 0 0 13 9.1757812L13 6.0898438 z M 13.947266 14.277344L16.628906 15.826172C15.530388 17.156023 13.868625 18 12 18C10.131375 18 8.4696124 17.156023 7.3710938 15.826172L10.050781 14.279297 A 3 3 0 0 0 12 15 A 3 3 0 0 0 13.947266 14.277344 z"
                fill="#E6E6E6"/>
        </svg>
    );
}

const SignOutSvg = () => {
    return (
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <path
                d="M12,2C6.477,2,2,6.477,2,12s4.477,10,10,10s10-4.477,10-10S17.523,2,12,2z M17,16v-3h-7v-2h7V8l4,4L17,16z"
                fill="#E6E6E6"/>
        </svg>
    );
}

const AccountSvg = () => {
    return (
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <path
                d="M12 3 A 4 4 0 0 0 8 7 A 4 4 0 0 0 12 11 A 4 4 0 0 0 16 7 A 4 4 0 0 0 12 3 z M 9.4355469 14.263672C6.4565469 14.814672 3 16.228 3 18.5L3 21L21 21L21 18.5C21 16.228 17.543453 14.813672 14.564453 14.263672L12 16.828125L9.4355469 14.263672 z"
                fill="#E6E6E6"/>
        </svg>
    );
}

/* SVG Icon */
export const HomeIco = () => (
    <Icon style={iconStyle} component={HomeSvg}/>
);

export const ProductIco = () => (
    <Icon style={iconStyle} component={ProductSvg}/>
);

export const AlignLeftIco = () => (
    <Icon style={iconStyle24} component={AlignLeftSvg}/>
);

export const AlignRightIco = () => (
    <Icon style={iconStyle24} component={AlignRightSvg}/>
);

export const DoctorIco = () => (
    <Icon className={"logo-icon"} style={iconStyle} component={DoctorSvg}/>
);

export const MenuIco = () => (
    <Icon style={iconStyle24} component={MenuSvg}/>
);

export const CloseIco = () => (
    <Icon style={iconStyle24} component={CloseSvg}/>
);

export const SellIco = () => (
    <Icon style={iconStyle} component={SellSvg}/>
);

export const SettingIco = () => (
    <Icon style={iconStyle} component={SettingSvg}/>
);

export const SignOutIco = () => (
    <Icon style={iconStyle} component={SignOutSvg}/>
);

export const AccountIco = () => (
    <Icon style={iconStyle} component={AccountSvg}/>
);

